## jpl.fli
Class predicate_t

    java.lang.Object
      jpl.fli.LongHolder
          jpl.fli.PointerHolder
              jpl.fli.predicate_t

public class predicate_t
extends PointerHolder

A predicate_t is a PointerHolder class whose value is a reference to a Prolog predicate_t.

Copyright (C) 1998 Fred Dushin

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library Public License for more details.

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from class jpl.fli.LongHolder
`value`

Constructor Summary
`predicate_t()`

Methods inherited from class jpl.fli.LongHolder
`equals`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### predicate_t

    public predicate_t()